<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "friendly_url_history".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "FriendlyUrlHistory".
 *
 * Columns in table "friendly_url_history" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $friendly_url
 * @property integer $provider_id
 * @property integer $practice_id
 * @property integer $state_id
 * @property integer $city_id
 * @property integer $location_id
 * @property integer $specialty_id
 * @property integer $sub_specialty_id
 * @property integer $insurance_company_id
 * @property integer $insurance_id
 * @property integer $provider_rating_id
 * @property string $date_added
 *
 */
abstract class BaseFriendlyUrlHistory extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'friendly_url_history';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'FriendlyUrlHistory|FriendlyUrlHistories', $n);
    }

    public static function representingColumn()
    {
        return 'friendly_url';
    }

    public function rules()
    {
        return array(
            array('friendly_url, provider_id, practice_id, state_id, city_id, location_id, specialty_id, '
                . 'sub_specialty_id, insurance_company_id, insurance_id', 'required'),
            array('provider_id, practice_id, state_id, city_id, location_id, specialty_id, sub_specialty_id, '
                . 'insurance_company_id, insurance_id, provider_rating_id', 'numerical', 'integerOnly' => true),
            array('friendly_url', 'length', 'max' => 255),
            array('date_added', 'safe'),
            array('provider_rating_id, date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, friendly_url, provider_id, practice_id, state_id, city_id, location_id, specialty_id, '
                . 'sub_specialty_id, insurance_company_id, insurance_id, provider_rating_id, date_added', 'safe',
                'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'friendly_url' => Yii::t('app', 'Friendly Url'),
            'provider_id' => Yii::t('app', 'Provider'),
            'practice_id' => Yii::t('app', 'Practice'),
            'state_id' => Yii::t('app', 'State'),
            'city_id' => Yii::t('app', 'City'),
            'location_id' => Yii::t('app', 'Location'),
            'specialty_id' => Yii::t('app', 'Specialty'),
            'sub_specialty_id' => Yii::t('app', 'Sub Specialty'),
            'insurance_company_id' => Yii::t('app', 'Insurance Company'),
            'insurance_id' => Yii::t('app', 'Insurance'),
            'provider_rating_id' => Yii::t('app', 'Provider Rating'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('friendly_url', $this->friendly_url, true);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('state_id', $this->state_id);
        $criteria->compare('city_id', $this->city_id);
        $criteria->compare('location_id', $this->location_id);
        $criteria->compare('specialty_id', $this->specialty_id);
        $criteria->compare('sub_specialty_id', $this->sub_specialty_id);
        $criteria->compare('insurance_company_id', $this->insurance_company_id);
        $criteria->compare('insurance_id', $this->insurance_id);
        $criteria->compare('provider_rating_id', $this->provider_rating_id);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
